From 7b14585af9856a7e7bbc042d0292335933c35300 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Oct 29 2020 01:27:36 +0000
Subject: [PATCH 1077/2232] Merge pull request #377 from dtolnay/unsupported-type


Include typename in diagnostic on unsupported type
---

diff --git a/syntax/check.rs b/syntax/check.rs
index 2f3c334..25183c9 100644
--- a/syntax/check.rs
+++ b/syntax/check.rs
@@ -67,7 +67,8 @@ fn check_type_ident(cx: &mut Check, ident: &Ident) {
         && !cx.types.cxx.contains(ident)
         && !cx.types.rust.contains(ident)
     {
-        cx.error(ident, "unsupported type");
+        let msg = format!("unsupported type: {}", ident);
+        cx.error(ident, &msg);
     }
 }
 
diff --git a/syntax/error.rs b/syntax/error.rs
index 9597089..d0ae021 100644
--- a/syntax/error.rs
+++ b/syntax/error.rs
@@ -22,6 +22,7 @@ pub static ERRORS: &[Error] = &[
     DOT_INCLUDE,
     DOUBLE_UNDERSCORE,
     RUST_TYPE_BY_VALUE,
+    UNSUPPORTED_TYPE,
     USE_NOT_ALLOWED,
 ];
 
@@ -73,6 +74,12 @@ pub static RUST_TYPE_BY_VALUE: Error = Error {
     note: Some("hint: wrap it in a Box<>"),
 };
 
+pub static UNSUPPORTED_TYPE: Error = Error {
+    msg: "unsupported type: ",
+    label: Some("unsupported type"),
+    note: None,
+};
+
 pub static USE_NOT_ALLOWED: Error = Error {
     msg: "`use` items are not allowed within cxx bridge",
     label: Some("not allowed"),

